default:
  autoload:
    '': %paths.base%/tests/features/bootstrap
  suites:
    default:
      paths:
        - %paths.base%/tests/features
      contexts:
        - VarbaseContext:
            parameters:
              varbase_users:
                webmaster: { email: 'webmaster@vardot.com', password: 'dD.123123ddd' }
                test_authenticated: { email: 'authenticated.test@vardot.com', password: 'dD.123123ddd' }
                test_editor: { email: 'editor.test@vardot.com', password: 'dD.123123ddd' }
                test_content_admin: { email: 'content.admin.test@vardot.com', password: 'dD.123123ddd' }
                test_seo_admin: { email: 'seo.admin.test@vardot.com', password: 'dD.123123ddd' }
                test_site_admin: { email: 'site.admin.test@vardot.com', password: 'dD.123123ddd' }
                test_super_admin: { email: 'super.admin.test@vardot.com', password: 'dD.123123ddd' }
        - SelectorsContext:
           parameters:
             selectors:
               ## Add all css selectors which you will use in most features.
               css:
                 breadcrumb: ".breadcrumb"
                 breadcrumb first link: ".breadcrumb li:nth-child(1) a"
                 image button in rich text editor body field: "#cke_edit-body-und-0-value .cke_button__image"

               ## Add all XPath selectors which you will use in most features.
               xpath:
                 page title: '//h1[contains(@class, "page-header")'
                 textarea for body field: '//*[@id="edit-body-und-0-value"]'
                 rich text editor for body field: '//iframe[@title="Rich Text Editor, edit-body-und-0-value"]'
                 HTML editor for body field: '//*[@id="edit-body-und-0-value-aced"]'

             ## You can add list of selectorrs which you will use in most features.
             #  But by loading them from files.
             files_path: "%paths.base%/tests/selectors/"
             files:
               - "varbase/front-end-selectors.yml"
               - "varbase/back-end-selectors.yml"
        - Drupal\DrupalExtension\Context\DrupalContext
        - Drupal\DrupalExtension\Context\DrushContext
        - Drupal\DrupalExtension\Context\MessageContext
        - Drupal\DrupalExtension\Context\MinkContext
        - Drupal\DrupalExtension\Context\MarkupContext
        - behatch:context:browser:
            timeout: 4
        - behatch:context:debug:
            screenshotDir: "%paths.base%/tests/screenshots/"
        - behatch:context:json:
            evaluationMode: javascript
        - behatch:context:system:
            root: "../../"
        - behatch:context:table
        - behatch:context:xml
      paths:
        features: %paths.base%/tests/features
        bootstrap: %paths.base%/tests/features/bootstrap
  formatters:
    pretty:
    html:
      output_path: "%paths.base%/tests/reports/"
  extensions:
    Behat\MinkExtension:
      files_path: "%paths.base%/tests/assets/"
      goutte: ~
      zombie: ~
      selenium2:
        wd_host: 127.0.0.1:4445/wd/hub
        capabilities:
          # browser: 'firefox'
          browser: 'chrome'
          # browser: 'phantomjs'
          nativeEvents: true
      base_url: 'http://127.0.0.1:8080'
      # browser_name: 'firefox'
      browser_name: 'chrome'
      # browser_name: 'phantomjs'
      javascript_session: selenium2
    Drupal\DrupalExtension:
      blackbox: ~
      api_driver: 'drupal'
      region_map:
        content: ".main-container"
        footer: "#footer"
        left header: "#header-left"
        right header: "#header-right"
        right sidebar: "#aside-region"
        field body: "#edit-body-wrapper"
      selectors:
        message_selector: '.messages'
        error_message_selector: '.messages.error'
        success_message_selector: '.messages.status'
        warning_message_selector: '.messages.warning'
    Behatch\Extension: ~
    emuse\BehatHTMLFormatter\BehatHTMLFormatterExtension:
      name: html
      renderer: Twig,Behat2
      file_name: index
      print_args: false
      print_outp: false
      loop_break: false
